/**********************************************************************
Copyright (c) 2010 Alexander Kerner. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 ***********************************************************************/

package net.sf.mvc.prototype;

import javax.swing.JOptionPane;

/**
 * 
 * 
 * A {@link ThreadGroup} that handles uncaught exceptions by showing a swing
 * message dialog.
 * 
 * @author <a href="mailto:alex.kerner.24@googlemail.com">Alexander Kerner</a>
 * @author Heinz
 * @version 2010-10-31
 * @see <a href="http://www.javaspecialists.eu/archive/Issue081.html">javaspcialists iussue 81</a>
 * 
 */
public class ExceptionGroup extends ThreadGroup {

	public ExceptionGroup(String name) {
		super(name);
	}

	public ExceptionGroup(ThreadGroup parent, String name) {
		super(parent, name);
	}

	public void uncaughtException(Thread t, Throwable e) {
		JOptionPane.showMessageDialog(SwingUtils.findActiveFrame(),
				e.toString(), "Exception Occurred", JOptionPane.ERROR_MESSAGE);
		e.printStackTrace();
	}

}
